"""
FtpCube
Copyright (C) Michael Gilfix

This file is part of FtpCube.

You should have received a file COPYING containing license terms
along with this program; if not, write to Michael Gilfix
(mgilfix@eecs.tufts.edu) for a copy.

This version of FtpCube is open source; you can redistribute it and/or
modify it under the terms listed in the file COPYING.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
"""

import sys

# Try installing the I18N handler before everything else
try:
    import gettext
    gettext.install('ftpcube')
except Exception:
    pass
import __builtin__
if not __builtin__.__dict__.has_key('_') or not __builtin__.__dict__['_']:
    __builtin__.__dict__['_'] = lambda x: x

wx_failure = None
try:
    import wx
except ImportError, strerror:
    wx_failure = strerror

if wx_failure is not None:
    sys.stderr.write(_("Ftpcube - Compilation error: %(reason)s.\n") %{ 'reason' : strerror })
    sys.stderr.write(_("\tUnable to import the wxPython package.\n"))
    sys.stderr.write(_("\tFtpcube cannot run without the wxPython package installed.\n"))
    sys.stderr.write(_("\tFor more information on how to obtain these packages, visit:\n"))
    sys.stderr.write(_("\t\thttp://ftpcube.sourceforge.net\n"))
    sys.exit(1)

# Make sure we start with debugging set to false
__builtin__.__dict__['__debug__'] = False

# Bring in the public modules
import_failure = None
try:
    import main
except ImportError, strerror:
    import_failure = strerror

if import_failure is not None:
    sys.stderr.write(_("Ftpcube - Compilation error: %(reason)s.\n")
        %{ 'reason' : import_failure })
    sys.stderr.write(_("\tCould not load critical modules.\n"))
    sys.stderr.write(_("\tGiving up.\n"))
    sys.exit(2)

__all__ = [
    'aboutwin',
    'archiver',
    'bookmark',
    'bookmarkwin',
    'browser',
    'browsewin',
    'cache',
    'chmodwin',
    'config',
    'connectwin',
    'consolewin',
    'ctrlwin',
    'dialog',
    'dispatcher',
    'events',
    'logger',
    'main',
    'mainwin',
    'messages',
    'optionwin',
    'parser',
    'protocol',
    'threads',
    'txtwrapper',
    'url',
    'utils',
    'version',
]